This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 467391 - (mingw32-gdbm) Review Request: mingw32-gdbm - MinGW port of GNU database routines
Review Request: mingw32-gdbm - MinGW port of GNU database routines
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On: mingw32-gcc
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 05:35 EDT by Richard W.M. Jones
Modified: 2009-01-21 16:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:35:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tla: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-17 05:35:48 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=82a0662b5376fe1a90612ed85628670c902a43d3;path=/gdbm/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-gdbm-1.8.0-1.fc9.src.rpm
Description: 
MinGW port of GNU database routines

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW

I sent the MinGW-related patch upstream.  However it looks to
me like upstream for this project is dead.

A few things require this package, like OCaml & Python.
Comment 2 Tim Lauridsen 2009-01-16 04:48:35 EST
I will take this one
Comment 3 Tim Lauridsen 2009-01-16 04:54:34 EST
$ rpmlint Download/mingw32-gdbm-1.8.0-1.fc10.src.rpm 1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/RPMS/noarch/mingw32-gdbm-1.8.0-1.fc10.noarch.rpm 
mingw32-gdbm.noarch: W: no-documentation
mingw32-gdbm.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/gdbm.h
mingw32-gdbm.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libgdbm.la
mingw32-gdbm.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libgdbm.dll.a
mingw32-gdbm.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libgdbm.dll.a
mingw32-gdbm.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libgdbm.dll.a
mingw32-gdbm.noarch: W: non-standard-dir-in-usr i686-pc-mingw32
1 packages and 0 specfiles checked; 2 errors, 5 warnings.

Looks like false positives, because of the cross compiler nature of the package.
Comment 4 Tim Lauridsen 2009-01-16 05:02:55 EST
MUST:
* package must match the upstream source 
cd543862287f55ad66e62cc9d82cc906  gdbm-1.8.0.tar.gz (upstream)
cd543862287f55ad66e62cc9d82cc906  gdbm-1.8.0.tar.gz (srpm)

* package is named appropriately
    mingw32-*
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* summary and description fine
* correct buildroot
* %{?dist} is used
* no license text included in package  
* package meets FHS (http://www.pathname.com/fhs/)
* changelog format fine 
* Packager, Vendor ,Distribution tag not used
* License used and not Copyright 
* Summary tag does not end in a period
* specfile is legible
* package successfully compiles and builds on at least x86
* make sure lines are <= 80 characters
* specfile written in American English
* no -doc sub-package necessary
* /sbin/ldconfig used in packages containing libraries.
    no native libs
* GUI app, has .desktop file and uses desktop-file-install to install it.
    not a gui app
* header files goes into -devel sub-package.
    no native header files
* *.so goes into -devel sub-package.
    no *.so files
* macros used appropriately and consistently
* no %makeinstall
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
* The spec file handles locales properly (%find_lang )
    no locales
* split Requires(pre,post) into two separate lines
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* %defattrs present 
* %clean present
* %doc files do not affect runtime
* packages is following the MinGW guidelines (http://fedoraproject.org/wiki/Packaging/MinGW)

APPROVED
Comment 5 Richard W.M. Jones 2009-01-16 05:16:34 EST
New Package CVS Request
=======================
Package Name: mingw32-gdbm
Short Description: MinGW port of GNU database routines
Owners: rjones berrange lfarkas
Branches: EL-5 F-10
InitialCC:
Comment 6 Kevin Fenzi 2009-01-16 22:27:00 EST
cvs done.
Comment 7 Fedora Update System 2009-01-17 06:52:03 EST
mingw32-gdbm-1.8.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-gdbm-1.8.0-1.fc10
Comment 8 Fedora Update System 2009-01-21 16:35:01 EST
mingw32-gdbm-1.8.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.